﻿using System;
using System.Diagnostics;

namespace ProcessStartTime
{
    class Program
    {
        static void Main(string[] args)
        {
            int i;
            int count = 100;
            long[] ticks = new long[count];
            long[] deltas = new long[count];
            for (i = 0; i < count; i++)
            {
                Process testProcess = Process.GetProcessById(949);
                ticks[i] = testProcess.StartTime.Ticks;
                if (i > 0)
                {
                    deltas[i] = ticks[i] - ticks[i - 1];
                }
            }

            for (i = 1; i < count; i++)
            {
                Console.WriteLine($"Delta between GetProcessById process start time values = {deltas[i]}");
            }
        }
    }
}